> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get contract link data details > Operation is used to retrieve full details of given contract link id. Available from product version 3.2.24. ## OpenAPI ````json GET /contract-links/{id}/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/contract-links/{id}/": { "get": { "tags": [ "Contract Link" ], "summary": "Get contract link data details", "description": "Operation is used to retrieve full details of given contract link id. Available from product version 3.2.24.\n", "operationId": "getContractLinkDetails", "parameters": [ { "name": "id", "in": "path", "description": "Id of contract link", "required": true, "schema": { "type": "integer" } } ], "responses": { "200": { "description": "contract link", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ContractLink" } } } }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "ContractLink": { "required": [ "contract" ], "type": "object", "properties": { "amount": { "type": "integer", "description": "Contract Link amount" }, "cable": { "$ref": "#/components/schemas/Cable" }, "circuit": { "$ref": "#/components/schemas/Circuit" }, "componentIdentifier": { "type": "string", "description": "Contract Link componen identifier" }, "conduit": { "$ref": "#/components/schemas/Conduit" }, "contract": { "$ref": "#/components/schemas/Contract" }, "duct": { "$ref": "#/components/schemas/Duct" }, "endPoint": { "type": "string", "description": "Contract Link end point" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "manhole": { "$ref": "#/components/schemas/Manhole" }, "pointValue": { "type": "string", "description": "Contract Link point value" }, "premise": { "$ref": "#/components/schemas/Premises" }, "price": { "type": "string", "description": "Contract Link price" }, "splice": { "$ref": "#/components/schemas/Splice" }, "startPoint": { "type": "string", "description": "Contract Link start point" }, "terminal": { "$ref": "#/components/schemas/Device" } } }, "Cable": { "type": "object", "properties": { "automSecLengthCalc": { "type": "boolean", "description": "Automatic secondary length calculation" }, "batch": { "type": "string", "description": "Cable batch" }, "cableId": { "type": "string", "description": "Cable ID" }, "cableType": { "$ref": "#/components/schemas/CableType" }, "connectedCapacity": { "type": "integer", "description": "Connected capacity. This field can not be used for filtering results in searches. Available from product version 3.2.12.", "readOnly": true }, "connections": { "type": "array", "items": { "$ref": "#/components/schemas/Connection" }, "description": "List of cable's connection objects" }, "createdBy": { "type": "string", "description": "Creator" }, "createdTs": { "type": "string", "description": "Creation date time", "format": "date-time" }, "endReading": { "type": "integer", "description": "End reading" }, "extraLength": { "type": "number", "description": "Extra length", "format": "float", "readOnly": true }, "falseCable": { "type": "boolean", "description": "Is cable a false cable" }, "freeCapacity": { "type": "integer", "description": "Free capacity. This field can not be used for filtering results in searches. Available from product version 3.2.12.", "readOnly": true }, "heightAccuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "Mapping date", "format": "date-time" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "importance": { "type": "integer", "description": "Cable importance" }, "installYear": { "type": "integer", "description": "Install year" }, "installationType": { "$ref": "#/components/schemas/CableTypeDefInstallation" }, "layingState": { "$ref": "#/components/schemas/CableLayingState" }, "length": { "type": "number", "description": "Cable length", "format": "float", "readOnly": true }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/CableLocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "measure": { "$ref": "#/components/schemas/CableMeasure" }, "moveWithConduit": { "type": "boolean", "description": "Is cable geometry altered to connected conduits. Available from 3.2.16 on demand." }, "owner": { "$ref": "#/components/schemas/CableOwner" }, "plan": { "type": "string", "description": "Url to fetch details of related plan.", "format": "url" }, "rentPaid": { "type": "boolean", "description": "Is rent paid" }, "renter": { "$ref": "#/components/schemas/CableOwner" }, "role": { "$ref": "#/components/schemas/CableRole" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "secondaryLength": { "type": "number", "description": "Secondary length", "format": "float" }, "startReading": { "type": "integer", "description": "Start reading" }, "state": { "$ref": "#/components/schemas/CableState" }, "supercable": { "type": "string", "description": "Url to fetch details of supercable.", "format": "url" }, "supercableOrderNo": { "type": "integer", "description": "Specifies supercable order" }, "surveyAmount": { "type": "integer", "description": "Survey amount" }, "telecomArea": { "type": "integer", "description": "Telecom area id" }, "totalCapacity": { "type": "integer", "description": "Total capacity", "readOnly": true }, "totalLength": { "type": "number", "description": "Total length", "format": "float", "readOnly": true }, "updatedBy": { "type": "string", "description": "Last updater" }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time" }, "usedCapacity": { "type": "integer", "description": "Used capacity. This field can not be used for filtering results in searches. Available from product version 3.2.12.", "readOnly": true } } }, "Circuit": { "type": "object", "properties": { "areaCode": { "type": "string", "description": "Circuit area code" }, "comments": { "type": "string", "description": "Circuit comments. Available from product version 3.2.8." }, "contractLength": { "type": "integer", "description": "Circuit contract length" }, "contractNumber": { "type": "string", "description": "Circuit contract number" }, "createdAt": { "type": "string", "description": "Creation timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "createdBy": { "type": "string", "description": "Creator username", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date (date only, existing field)", "format": "date", "readOnly": true }, "customer": { "$ref": "#/components/schemas/Customer" }, "directLength": { "type": "number", "description": "Circuit direct length", "format": "float" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identifier": { "type": "string", "description": "Circuit identifier" }, "identifierAlt": { "type": "string", "description": "Circuit alternative identifier" }, "importance": { "$ref": "#/components/schemas/CircuitImportance" }, "installationAddresses": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Circuit installations addresses" }, "length": { "type": "number", "description": "Circuit length", "format": "float" }, "orderNumber": { "type": "string", "description": "Circuit order number" }, "organisation": { "$ref": "#/components/schemas/CircuitOrganisation" }, "redundancy": { "$ref": "#/components/schemas/CircuitRedundancy" }, "sections": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSection" }, "description": "Circuit sections" }, "supercircuit": { "$ref": "#/components/schemas/SuperCircuit" }, "supercircuitOrderNo": { "type": "integer", "description": "Order number of this circuit within the super circuit. Available from product version v2026.2." }, "updatedAt": { "type": "string", "description": "Last update timestamp (date and time). Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "updatedBy": { "type": "string", "description": "Last updater username", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date (date only, existing field)", "format": "date", "readOnly": true } } }, "Conduit": { "required": [ "usageState", "conduitType" ], "type": "object", "properties": { "autoSecondaryLength": { "type": "boolean", "description": "automatically generate secondaryLength. Subject to separate order." }, "cables": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Telecom Cables in the conduit" }, "categoryId": { "type": "integer", "description": "Telecom Conduit category Id" }, "conduitType": { "$ref": "#/components/schemas/ElConduitType" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "ductCount": { "type": "integer", "description": "Telecom Conduit duct count" }, "ducts": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Telecom Ducts in the conduit" }, "heightAccuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification" }, "length": { "type": "number", "description": "Telecom Conduit length", "format": "float" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "mapper name" }, "mappingDate": { "type": "string", "description": "mapping date", "format": "date-time" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "measure": { "$ref": "#/components/schemas/CableMeasure" }, "owner": { "$ref": "#/components/schemas/ConduitOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "profileStatus": { "$ref": "#/components/schemas/ElConduitProfileStatus" }, "remarks": { "type": "string", "description": "remarks on the Telecom conduit" }, "renter": { "$ref": "#/components/schemas/ConduitOwner" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "secondaryLength": { "type": "number", "description": "Conduit secondary length. Subject to separate order.", "format": "float" }, "sourceKey": { "type": "integer", "description": "Telecom Conduit external source key. Available from product version 3.2.12." }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "surfaceType": { "$ref": "#/components/schemas/SurfaceType" }, "surveyAmount": { "type": "integer", "description": "unknown" }, "telecomArea": { "$ref": "#/components/schemas/TelecomArea" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/ElConduitUsageState" }, "width": { "type": "number", "description": "Telecom Conduit width", "format": "float" } } }, "Contract": { "required": [ "rent" ], "type": "object", "properties": { "agreement": { "type": "string", "description": "Agreements in Contract" }, "antenna": { "type": "integer", "description": "Contract antenna" }, "billing": { "$ref": "#/components/schemas/ContractBilling" }, "billingDay": { "type": "integer", "description": "Contract billing day" }, "billingPeriod": { "type": "integer", "description": "Contract billing period" }, "billingReference": { "type": "string", "description": "Contract billing reference" }, "cableUsage": { "type": "string", "description": "Contract billing cable usage" }, "comments": { "type": "string", "description": "Contract comments" }, "contractStatus": { "$ref": "#/components/schemas/ContractStatus" }, "contractType": { "$ref": "#/components/schemas/ContractType" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "lessee": { "$ref": "#/components/schemas/Customer" }, "lessor": { "$ref": "#/components/schemas/Customer" }, "parentContract": { "type": "string", "description": "link to parent contract", "format": "url" }, "rent": { "type": "number", "description": "Contract rent. Normally a required attribute, can be set as not required on request.", "format": "float" }, "rentBeginDate": { "type": "string", "description": "The date begin to rent", "format": "date-time" }, "rentEndDate": { "type": "string", "description": "The date end of the rent", "format": "date-time" }, "rent_2": { "type": "number", "description": "Contract rent 2", "format": "float" }, "rent_3": { "type": "number", "description": "Contract rent 3", "format": "float" }, "reserveBeginDate": { "type": "string", "description": "The date begin to reserved", "format": "date-time" }, "reserveEndDate": { "type": "string", "description": "The date end of the reservation", "format": "date-time" }, "termOfNotice": { "type": "integer", "description": "Contract term of notice" }, "updatedBy": { "type": "string", "description": "Last updated", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "Duct": { "required": [ "ductType", "conduit", "usageState" ], "type": "object", "properties": { "cables": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Telecom Cables in the duct" }, "colour": { "$ref": "#/components/schemas/DuctTypeColour" }, "conduit": { "type": "array", "items": { "type": "string", "format": "url" }, "description": "Telecom Conduit the duct is in" }, "created_by": { "type": "string", "description": "creator. Available from product version 3.2.24.", "readOnly": true }, "created_ts": { "type": "string", "description": "Creation date and time. Available from product version 3.2.24.", "format": "date-time", "readOnly": true }, "ductType": { "$ref": "#/components/schemas/DuctType" }, "hole": { "type": "boolean", "description": "Telecom Duct hole" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Telecom Duct identification" }, "installYear": { "type": "integer", "description": "Telecom Duct installation year" }, "owner": { "$ref": "#/components/schemas/ElDuctOwner" }, "parent": { "type": "string", "description": "link to Telecom Duct current Telecom Duct is inside", "format": "url" }, "plan": { "$ref": "#/components/schemas/Plan" }, "remarks": { "type": "string", "description": "remarks for Telecom Duct" }, "rentPaid": { "type": "boolean", "description": "Was rent paid for Telecom Duct" }, "renter": { "$ref": "#/components/schemas/ElDuctRenter" }, "sourceKey": { "type": "integer", "description": "Telecom Duct external source key. Available from product version 3.2.12." }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "subductsNo": { "type": "integer", "description": "Telecom Duct subducts number" }, "updated_by": { "type": "string", "description": "Last updater. Available from product version 3.2.24.", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last update date time. Available from product version 3.2.24.", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/ElDuctUsageState" } } }, "Manhole": { "required": [ "identification", "usageState", "type" ], "type": "object", "properties": { "address": { "type": "string", "description": "url of manhole address apartments", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "diagramConfirm": { "$ref": "#/components/schemas/DiagramConfirm" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "history date", "format": "date" }, "id": { "type": "integer", "description": "Manhole primary key", "readOnly": true }, "identification": { "type": "string", "description": "Name of manhole. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "installYear": { "type": "integer", "description": "Installation year" }, "location": { "type": "string", "description": "Geographical location. Available from product version 3.2.16.", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "mapper name" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "owner": { "$ref": "#/components/schemas/ElManholeOwner" }, "plan": { "type": "string", "description": "url of manhole plan", "format": "url" }, "remarks": { "type": "string", "description": "Remarks" }, "rentPaid": { "type": "boolean", "description": "Is rent paid or not" }, "renter": { "$ref": "#/components/schemas/ElManholeRenter" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "surveyAmount": { "type": "integer", "description": "unknown" }, "telecomArea": { "$ref": "#/components/schemas/TelecomArea" }, "type": { "$ref": "#/components/schemas/ManholeType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/ManholeUsageState" } }, "description": "information of a telecom manhole object" }, "Premises": { "required": [ "usageState", "type" ], "type": "object", "properties": { "Manhole": { "$ref": "#/components/schemas/Manhole" }, "Pole": { "$ref": "#/components/schemas/Pole" }, "address": { "type": "string", "description": "Url to fetch details of related address apartments.", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "capacity": { "type": "integer", "description": "Capacity" }, "createdBy": { "type": "string", "description": "Creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date time", "format": "date-time", "readOnly": true }, "deviceRoom": { "$ref": "#/components/schemas/PremRoom" }, "diagramConfirm": { "$ref": "#/components/schemas/DiagramConfirm" }, "heightAccuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "Mapping date", "format": "date-time" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Premises identification. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "importance": { "$ref": "#/components/schemas/PremImportance" }, "install_year": { "type": "integer", "description": "Install year" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "name": { "type": "string", "description": "Name of the premises" }, "owner": { "$ref": "#/components/schemas/PremOwner" }, "plan": { "type": "string", "description": "Url to fetch details of related plan.", "format": "url" }, "remarks": { "type": "string", "description": "Premises' remarks" }, "renter": { "$ref": "#/components/schemas/PremRenter" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "Source system key. Available from product version 3.4." }, "survey_amount": { "type": "string", "description": "Survey amount" }, "technicalId": { "type": "integer", "description": "Technical id" }, "technicalInfo": { "type": "string", "description": "Technical information" }, "telecomArea": { "type": "integer", "description": "Telecom area id" }, "type": { "$ref": "#/components/schemas/PremType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/PremState" } } }, "Splice": { "type": "object", "properties": { "address": { "type": "string", "description": "url of splice address apartments", "format": "url" }, "angle": { "type": "number", "description": "Angle in degrees. -360 to 360, where 0 north. Negative values are converted to positive. Value is returned as positive. 360 is converted to 0. Available from product version 3.2.24", "format": "float" }, "attenuation": { "type": "integer", "description": "Attenuation. Available from product version 3.2.24" }, "createdBy": { "type": "string", "description": "Creator. Available from product version 3.2.24" }, "createdTs": { "type": "string", "description": "Creation date time. Available from product version 3.2.24", "format": "date-time" }, "heightAccuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "Mapping date. Available from product version 3.2.24", "format": "date" }, "id": { "type": "integer", "description": "Splice primary key" }, "identification": { "type": "string", "description": "Splice identification. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "installYear": { "type": "integer", "description": "Install year. Available from product version 3.6.8." }, "location": { "type": "string", "description": "Geographical location. Available from product version 3.2.16.", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "manhole": { "$ref": "#/components/schemas/Manhole" }, "mapper": { "type": "string", "description": "Mapper. Available from product version 3.2.24" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "owner": { "$ref": "#/components/schemas/SpliceOwner" }, "placement": { "$ref": "#/components/schemas/SplicePlacement" }, "plan": { "type": "string", "description": "url of splice plan", "format": "url" }, "productName": { "$ref": "#/components/schemas/SpliceProductName" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.24" }, "renter": { "$ref": "#/components/schemas/SpliceOwner" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "integer", "description": "Scale. Available from product version 33.2.24" }, "survey_amount": { "type": "string", "description": "Survey amount. Available from product version 3.2.24", "format": "number" }, "telecomArea": { "$ref": "#/components/schemas/TelecomArea" }, "telecomPremise": { "$ref": "#/components/schemas/Premises" }, "type": { "$ref": "#/components/schemas/SpliceType" }, "updatedBy": { "type": "string", "description": "Last updater. Available from product version 3.2.24" }, "updatedTs": { "type": "string", "description": "Last update date time. Available from product version 3.2.24", "format": "date-time" }, "usageState": { "$ref": "#/components/schemas/SpliceUsageState" } }, "description": "Information of a telecom splice object" }, "Device": { "allOf": [ { "$ref": "#/components/schemas/FlatDevice" }, { "type": "object", "properties": { "owner": { "$ref": "#/components/schemas/TerminalOwner" }, "parent": { "type": "string", "description": "Url to fetch details of related parent terminal", "format": "url" }, "premise": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url" }, "renter": { "$ref": "#/components/schemas/TerminalRenter" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "type": { "type": "string", "description": "Url to fetch details of related terminal type.", "format": "url" }, "usageState": { "$ref": "#/components/schemas/TerminalState" } } } ] }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "CableType": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Attenuation (dB/km)", "format": "float" }, "availabilityEnd": { "type": "string", "description": "Availability end", "format": "date" }, "availabilityStart": { "type": "string", "description": "Availability start", "format": "date" }, "colorCoding": { "$ref": "#/components/schemas/CableTypeColorCoding" }, "colorConfig": { "$ref": "#/components/schemas/CableTypeColorConfig" }, "cuCapacity": { "type": "integer", "description": "Copper capacity" }, "defInstallation": { "$ref": "#/components/schemas/CableTypeDefInstallation" }, "diameter": { "type": "number", "description": "Diameter (mm)", "format": "float" }, "fiThreads": { "type": "integer", "description": "Fiber threads" }, "fiberColors": { "type": "array", "items": { "$ref": "#/components/schemas/CableTypeColorConfigColor" }, "description": "Unique fiber colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2." }, "id": { "type": "integer", "description": "Primary key" }, "innerTubeColors": { "type": "array", "items": { "$ref": "#/components/schemas/CableTypeColorConfigColor" }, "description": "Unique inner tube colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2." }, "listUrl": { "type": "string", "description": "Url to fetch all cable types" }, "resistance": { "type": "integer", "description": "Resistance" }, "technology": { "$ref": "#/components/schemas/CableTypeTechnology" }, "type": { "type": "string", "description": "Cable type" }, "unitCost": { "type": "number", "description": "Unit cost", "format": "float" } }, "description": "Cable type" }, "Connection": { "type": "object", "properties": { "cableDirection": { "enum": [ "B", "E" ], "type": "string", "description": "Describes which end the connection exists on. Either Beginning or End." }, "manhole": { "$ref": "#/components/schemas/MinifiedManhole" }, "premises": { "$ref": "#/components/schemas/MinifiedPremises" }, "splice": { "$ref": "#/components/schemas/MinifiedSplice" } }, "description": "An object representing a connection between cable and another object." }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "CableTypeDefInstallation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Default installation" }, "CableLayingState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_LAYING_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable laying state" }, "CableLocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_LOC_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable location accuracy" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "CableMeasure": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_MEASURE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value," }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable or conduit measure" }, "CableOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable owner" }, "CableRole": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_ROLE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable role" }, "SafetyDistance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SAFETY_DISTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Safety Distance" }, "CableState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable state" }, "Customer": { "required": [ "number", "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Apartment" }, "addressAlt": { "$ref": "#/components/schemas/Apartment" }, "billingName": { "type": "string", "description": "Customer billing name" }, "businessId": { "type": "string", "description": "Customer bussiness id" }, "contactName": { "type": "string", "description": "Customer contact name or null. Available from product version 2026.1" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "email": { "type": "string", "description": "Customer email" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "mobilePhone": { "type": "string", "description": "Customer mobile phone number name" }, "name": { "type": "string", "description": "Customer name" }, "number": { "type": "string", "description": "Customer number" }, "phone": { "type": "string", "description": "Customer phone number" }, "smsProhibited": { "type": "boolean", "description": "Sending sms is prohibited to customer" }, "telefax": { "type": "string", "description": "Customer fax number" }, "type": { "$ref": "#/components/schemas/CustomerType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "CircuitImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_IMPORTANCE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit importance" }, "CircuitOrganisation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ORGANISATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit organisation" }, "CircuitRedundancy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CIRCUIT_REDUNDANCY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit redundancy" }, "CircuitSection": { "required": [ "usageState", "usagePurpose", "circuit" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "circuit": { "type": "string", "description": "Circuit the section is in", "format": "url" }, "connectionDate": { "type": "string", "description": "actual section connection date", "format": "date-time" }, "constructionState": { "$ref": "#/components/schemas/ConstructionState" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "disconnectionDate": { "type": "string", "description": "actual section disconnection date", "format": "date-time" }, "extraUsages": { "type": "array", "items": { "$ref": "#/components/schemas/CircuitSectionExtraUsage" }, "description": "Extra usages for the Circuit Section. Available from product version 2026.1" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Section name" }, "plannedConnectionDate": { "type": "string", "description": "planned section connection date", "format": "date-time" }, "plannedDisconnectionDate": { "type": "string", "description": "planned section disconnection date", "format": "date-time" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/CircuitUsage" }, "usageState": { "$ref": "#/components/schemas/CircuitUsageState" } } }, "SuperCircuit": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key" }, "identifier": { "type": "string", "description": "Super circuit identifier" }, "itemType": { "$ref": "#/components/schemas/TxtConstant" }, "networkType": { "$ref": "#/components/schemas/TxtConstant" }, "state": { "$ref": "#/components/schemas/TxtConstant" } }, "description": "Super circuit (nested in Circuit responses). Available from product version v2026.2." }, "ElConduitType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONDUIT_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical and telecom conduit type" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "ConduitOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONDUIT_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Conduit owner" }, "Plan": { "required": [ "state", "type", "name" ], "type": "object", "properties": { "Branch_line": { "$ref": "#/components/schemas/DHCPDN" }, "Center_measure": { "$ref": "#/components/schemas/DHCPDN" }, "Construction": { "$ref": "#/components/schemas/PlanConstruction" }, "Excavation": { "$ref": "#/components/schemas/PlanExcavation" }, "Limiter": { "$ref": "#/components/schemas/DHCPLimiter" }, "Plan_piping": { "$ref": "#/components/schemas/PlanPiping" }, "agreed_delivery_date": { "type": "string", "description": "Agreed Delivery Date. Activated on request by customer.", "format": "date-time" }, "area_description": { "type": "string", "description": "Area Description. Activated on request by customer." }, "begin_date": { "type": "string", "description": "Begin Date", "format": "date-time" }, "construction_year": { "type": "integer", "description": "Contact Name. Not shown when displaying plan details in related objects. Activated on request by customer." }, "contact_email": { "type": "string", "description": "Contact Email Address. Activated on request by customer." }, "contact_name": { "type": "string", "description": "Contact Name. Activated on request by customer." }, "contact_phone": { "type": "string", "description": "Contact phone number. Activated on request by customer." }, "cp_identification": { "type": "string", "description": "Consumer Point Identification. Activated on request by customer." }, "created_by": { "type": "string", "description": "Created by" }, "created_date": { "type": "string", "description": "Create Date", "format": "date-time" }, "customer_contact_date": { "type": "string", "description": "Customer Contact Date. Activated on request by customer.", "format": "date-time" }, "description": { "type": "string", "description": "Description" }, "desired_delivery_date": { "type": "string", "description": "Desired Delivery Date. Activated on request by customer.", "format": "date-time" }, "district_area": { "$ref": "#/components/schemas/DistrictArea" }, "duration": { "type": "integer", "description": "Duration. Activated on request by customer." }, "expire_date": { "type": "string", "description": "Expire Date", "format": "date-time" }, "first_contact": { "type": "string", "description": "First contact person for plan. Not shown when displaying plan details in related objects. Activated on request by customer." }, "id": { "type": "integer", "description": "Unique id of plan", "readOnly": true }, "implementation_begin_end": { "type": "string", "description": "Implementation Date. Activated on request by customer.", "format": "date-time" }, "implementation_date": { "type": "string", "description": "Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "latest_implementation_date": { "type": "string", "description": "Latest Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "list_url": { "type": "string", "description": "URL to the list of all Plans. Only shown when displaying plan details in related objects.", "format": "url" }, "location": { "type": "string", "description": "Geographical location. As EWKT representation", "format": "ewkt" }, "louhi_id": { "type": "string", "description": "Louhi ID. Activated on request by customer." }, "modifications": { "type": "string", "description": "Modifications. Not shown when displaying plan details in related objects. Activated on request by customer." }, "name": { "type": "string", "description": "Name of Plan" }, "network": { "$ref": "#/components/schemas/PlanNetworkType" }, "network_owner": { "$ref": "#/components/schemas/PlanNetworkOwner" }, "offer_accepted_date": { "type": "string", "description": "Offer Accepted Date. Activated on request by customer.", "format": "date-time" }, "offer_id": { "type": "string", "description": "Offer ID. Activated on request by customer." }, "parentplan": { "type": "string", "description": "URL to the plan of which the plan is part of (subplan). Available from version 3.2.24. Activated on request by customer.", "format": "url" }, "plan_remark": { "type": "string", "description": "Plan remark. Not shown when displaying plan details in related objects. Activated on request by customer." }, "plumbing_start_date": { "type": "string", "description": "Plumbing Start Date. Activated on request by customer.", "format": "date-time" }, "property_address": { "type": "string", "description": "Property address. Not shown when displaying plan details in related objects. Activated on request by customer." }, "publicity": { "$ref": "#/components/schemas/PlanPublicity" }, "state": { "$ref": "#/components/schemas/PlanState" }, "total_cost": { "type": "number", "description": "Sum of cost for all related objects for the plan. Not shown when displaying plan details in related objects. Activated on request by customer.", "format": "float" }, "type": { "$ref": "#/components/schemas/PlanType" }, "updated_by": { "type": "string", "description": "Updated by" }, "updated_date": { "type": "string", "description": "Update Date", "format": "date-time" }, "work_activities": { "type": "string", "description": "Work Activities. Activated on request by customer." }, "work_phase": { "$ref": "#/components/schemas/PlanWorkPhase" }, "work_project": { "type": "string", "description": "Work Project. Activated on request by customer." }, "work_type": { "$ref": "#/components/schemas/PlanWorkType" }, "work_type_main": { "$ref": "#/components/schemas/PlanWorkTypeMain" }, "work_type_sub": { "$ref": "#/components/schemas/PlanWorkTypeSub" } }, "description": "Plan" }, "ElConduitProfileStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PROFILE_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical and telecom conduit profile status" }, "SourceSystem": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SOURCE_SYSTEM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "External source system" }, "SurfaceType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONDUIT_SURFACE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Type of ground surface a conduit is buried in. Available from product version 3.2.24." }, "TelecomArea": { "required": [ "name", "exchangeArea" ], "type": "object", "properties": { "areaSize": { "type": "number", "description": "Area size", "format": "float" }, "createdBy": { "type": "string", "description": "Creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date time", "format": "date-time", "readOnly": true }, "exchangeArea": { "$ref": "#/components/schemas/ExchangeArea" }, "id": { "type": "integer", "description": "Primary key" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "name": { "type": "string", "description": "Area name" }, "perimeter": { "type": "number", "description": "Area perimeter length", "format": "float" }, "remarks": { "type": "string", "description": "Area comments" }, "telecomAreaType": { "$ref": "#/components/schemas/TelecomAreaType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } }, "description": "Telecom Area" }, "ElConduitUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONDUIT_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical and telecom conduit usage state" }, "ContractBilling": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "ELECTRIC_BIL_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract billing type" }, "ContractStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "RENT_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract status" }, "ContractType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONTRACT_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract type" }, "DuctTypeColour": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "groupname": { "enum": [ "KEYCOM_DUCT_COLOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct Colour" }, "DuctType": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Telecom Duct availability end", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Telecom Duct availability start", "format": "date-time" }, "colour": { "type": "string", "description": "Telecom Duct color" }, "crossSectionCell": { "type": "string", "description": "Telecom Duct Cross-section cell" }, "favorite": { "type": "boolean", "description": "Always show telecom duct type when filtering" }, "form": { "$ref": "#/components/schemas/ElDuctTypeForm" }, "id": { "type": "integer", "description": "primary key" }, "innerDiameter": { "type": "number", "description": "Telecom Duct inner diameter", "format": "float" }, "innerXDiameter": { "type": "number", "description": "Telecom Duct inner x-diameter", "format": "float" }, "innerYDiameter": { "type": "number", "description": "Telecom Duct inner y-diameter", "format": "float" }, "manufacturer": { "type": "string", "description": "Telecom Duct manufacturer name" }, "material": { "$ref": "#/components/schemas/ElDuctTypeMaterial" }, "orderNum": { "type": "integer", "description": "Telecom Duct order number" }, "outerDiameter": { "type": "number", "description": "Telecom Duct outer diameter", "format": "float" }, "outerXDiameter": { "type": "number", "description": "Telecom Duct outer x-diameter", "format": "float" }, "outerYDiameter": { "type": "number", "description": "Telecom Duct outer y-diameter", "format": "float" }, "productCode": { "type": "string", "description": "Telecom Duct product code" }, "productCodeAlt": { "type": "string", "description": "Telecom Duct product code alternative" }, "sheathColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "stripeColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "stripeOtherColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "subductType": { "type": "string", "description": "Telecom Duct subduct type" }, "subductsNo": { "type": "integer", "description": "Telecom Duct subducts number" }, "type": { "type": "string", "description": "Telecom Duct type name" }, "unitCost": { "type": "number", "description": "Telecom Duct unit cost", "format": "float" } }, "description": "Telecom duct type" }, "ElDuctOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DUCT_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct owner" }, "ElDuctRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DUCT_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct renter" }, "ElDuctUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DUCT_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct usage state" }, "Angle": { "type": "number", "description": "Angle in degrees. 0 is north.\nInput accepts values from -360 to 360. \nNegative values are converted to positive (-90 -> 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "DiagramConfirm": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHDIAG_CONFIRMED" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "ElManholeOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole owner" }, "ElManholeRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole renter" }, "ManholeType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole type" }, "ManholeUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole usage state" }, "Pole": { "required": [ "pole_type", "usage_state" ], "type": "object", "properties": { "angle": { "$ref": "#/components/schemas/Angle" }, "branch_pole_number": { "type": "string", "description": "Branch Pole" }, "checkout_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "created_by": { "type": "string", "description": "Created by", "readOnly": true }, "created_ts": { "type": "string", "description": "Created timestamp", "format": "date-time", "readOnly": true }, "decay_class": { "$ref": "#/components/schemas/PoleDecayClass" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "history_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "impregnant": { "$ref": "#/components/schemas/PoleImpregnant" }, "install_year": { "type": "integer", "description": "Install year" }, "length": { "type": "number", "description": "Pole length", "format": "float" }, "line_part": { "type": "string", "description": "Line Part" }, "location": { "type": "string", "description": "Location of pole in EWKT", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "material": { "$ref": "#/components/schemas/PoleMaterial" }, "owner": { "$ref": "#/components/schemas/PoleOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "pole_number": { "type": "string", "description": "Pole number" }, "pole_type": { "$ref": "#/components/schemas/PoleType" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/PoleRenter" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "stanchion": { "$ref": "#/components/schemas/PoleStanchion" }, "stanchion_decay_class": { "$ref": "#/components/schemas/PoleStanchionDecayClass" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "telecom_area": { "type": "string", "description": "Telecom area the pole is inside", "format": "url" }, "updated_by": { "type": "string", "description": "Last updated by", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last updated timestamp", "format": "date-time", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/PoleUsageState" } } }, "PremRoom": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_PLACEMENT" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Device room" }, "PremImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_IMPORTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "PremOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises owner" }, "PremRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant. Same as with Premises owner." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises renter" }, "PremType": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "listUrl": { "type": "string", "description": "Url to fetch all objects", "format": "url" }, "manufacturer": { "type": "string", "description": "Premises manufacturer" }, "productCode": { "type": "string", "description": "Product code" }, "type": { "$ref": "#/components/schemas/PremTypeType" } }, "description": "Premises type" }, "PremState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "f
[...]
